Subject: [PATCH v4 1/6] arm64: ftrace: adjust callsite addresses examined by stack tracer

From: [email-masked] (Will Deacon)
Date: Fri, 30 Oct 2015 11:16:19 +0000

On Fri, Oct 30, 2015 at 02:25:36PM +0900, AKASHI Takahiro wrote:
> On arm64, no PC values returned by save_stack_trace() will match to LR
> values saved in stack frames on a stack after the following commit:
>     commit e306dfd06fcb ("ARM64: unwind: Fix PC calculation")
> As a result, the output from stack tracer will be messed up.

FWIW, we've decided to revert that patch for the moment. We're the only
architecture making that kind of adjustment, so we should fix that before
building on top of it.

Will